> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# デジタルIDウォレットAPIカタログ

> Diditで利用できるデジタルIDウォレットのエンドポイント、対応国、必須入力項目、アプリケーションでの利用可否を確認できます。

認証が必要なこのカタログを使うと、各ウォレットの開始エンドポイント、対応国、必須入力を確認できます。
`available`フィールドは、呼び出し先の環境において、APIキーで識別されるアプリケーションに適用されます。
そのアプリケーションで利用可能であり、かつ本人が選択した国に対応しているウォレットのみを提示してください。
入力の検証、クレジットの要件、適用される契約料金は、認証を開始する時点で引き続きチェックされます。

`available`が`false`の状態でも、ウォレットがリストに表示されることがあります。
カタログはウォレットを有効化するものではなく、本番環境の要件を上書きすることもありません。
サンドボックスのアプリケーションでは、本番環境の認証ではまだ利用できないウォレットをシミュレートできます。

認証を開始して結果を受け取るには、[ウォレットAPI連携ガイド](https://docs.didit.me/ja/standalone-apis/digital-id-wallets.md)に従ってください。


## OpenAPI

````yaml ja/openapi-25.json GET /v3/id-verification/wallets/
openapi: 3.0.0
info:
  version: 3.0.0
  title: Didit Verification API
  description: 本人確認API。x-api-keyヘッダーで認証します。
servers:
  - url: https://verification.didit.me
security: []
tags: []
paths:
  /v3/id-verification/wallets/:
    get:
      tags:
        - Digital ID wallets
      summary: Digital IDウォレットの一覧取得
      description: >-
        すべてのDigital
        IDウォレットと、その開始エンドポイント、対象国、必須フィールド、およびこのアプリケーションがこの環境で現時点で開始できるかどうかです。一覧に掲載されていても、稼働中であるとは限りません。
      operationId: list_wallets
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DigitalIdWalletApiWalletCatalogResponse'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DigitalIdWalletApiClientCredentialsForbiddenErrorMessage
          description: '認証情報がありません（x-api-keyまたはAuthorization: Bearer）。'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url https://verification.didit.me/v3/id-verification/wallets/ \
              --header 'x-api-key: YOUR_API_KEY'
        - lang: python
          label: Python
          source: |-
            from didit import Didit

            # Reads DIDIT_API_KEY.
            client = Didit()

            result = client.id_wallets.list()
            print(result)
        - lang: javascript
          label: Node.js
          source: |-
            import Didit from "@didit-protocol/sdk-node";

            // Reads DIDIT_API_KEY.
            const didit = new Didit();

            const result = await didit.idWallets.list();
            console.log(result);
        - lang: go
          label: Go
          source: "ctx := context.Background()\n// Reads DIDIT_API_KEY.\nclient := didit.NewClient()\n\nresult, err := client.IDWallets.List(ctx)\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Printf(\"%+v\\n\", result)"
        - lang: java
          label: Java
          source: |-
            import me.didit.Didit;

            // Reads DIDIT_API_KEY.
            Didit client = new Didit();

            var result = client.idWallets().list();
            System.out.println(result);
        - lang: php
          label: PHP
          source: |-
            <?php

            require 'vendor/autoload.php';

            use Didit\DiditClient;

            // Reads DIDIT_API_KEY.
            $didit = new DiditClient();

            $result = $didit->idWallets->list();
            print_r($result->toArray());
        - lang: ruby
          label: Ruby
          source: |-
            require "didit"

            # Reads DIDIT_API_KEY.
            didit = Didit::Client.new

            result = didit.id_wallets.list
            puts result.to_h
        - lang: csharp
          label: .NET
          source: |-
            using System;
            using System.Text.Json;
            using Didit;

            // Reads DIDIT_API_KEY.
            using var client = new DiditClient();

            var result = await client.IdWallets.ListAsync();
            Console.WriteLine(JsonSerializer.Serialize(result));
components:
  schemas:
    DigitalIdWalletApiWalletCatalogResponse:
      type: object
      properties:
        wallets:
          type: array
          items:
            $ref: '#/components/schemas/DigitalIdWalletApiWalletCatalogEntry'
      required:
        - wallets
    DigitalIdWalletApiClientCredentialsForbiddenErrorMessage:
      type: object
      properties:
        detail:
          type: string
          default: Forbidden - User doesn't have permission
    DigitalIdWalletApiWalletCatalogEntry:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        path:
          type: string
          description: ウォレット独自の開始エンドポイント。
        countries:
          type: array
          items:
            type: string
        issuing_authority:
          type: string
        level_of_assurance:
          type: string
          nullable: true
        interaction:
          $ref: '#/components/schemas/DigitalIdWalletApiInteractionEnum'
        required_fields:
          type: array
          items:
            type: string
        available:
          type: boolean
          description: このアプリケーションがこの環境で今すぐ開始できるかどうか。一覧に表示されていても、利用可能とは限りません。
      required:
        - available
        - countries
        - id
        - interaction
        - issuing_authority
        - level_of_assurance
        - name
        - path
        - required_fields
    DigitalIdWalletApiInteractionEnum:
      enum:
        - redirect
        - in_app
        - digital_credentials
      type: string
      description: |-
        * `redirect` - redirect
        * `in_app` - in_app
        * `digital_credentials` - digital_credentials
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        お客様のアプリケーションのAPIキーです。Business ConsoleのDevelopers -> API
        keysで取得できます。プライマリキーはフルアクセス権を持ちます。名前付きキーにはスコープを設定できます。リソースごとのアクセス権（なし、読み取り、書き込み）、一部のワークフローまたは承認済みセッションへの限定、IPアドレスのリストへの限定、有効期限の設定です。401は、キーが誤っている、失効している、または期限切れであることを意味します。403は、キーが送信されていない、キーにこのリソースやアクションへのアクセス権がない、またはIPリスト外のアドレスからリクエストが送信されたことを意味します。セッションのルートでの404は、セッションがキーのワークフローまたはステータスの対象外であることを意味します。メディアへのアクセス権がないキーでは、画像、動画、PDFのURLがnullで返されます。セッションの書き込み権限がないキーでは、セッションのリンクとトークンがnullで返されます。詳細は次を参照してください:
        https://docs.didit.me/console/api-keys
    BearerAuth:
      type: http
      scheme: bearer
      description: アプリケーションのクライアントクレデンシャルのアクセストークン。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.